Eclipse Platform Release 3.7

## org.eclipse.jface.text
Class PropagatingFontFieldEditor

    java.lang.Object
      org.eclipse.jface.preference.FieldEditor
          org.eclipse.jface.preference.FontFieldEditor
              org.eclipse.jface.text.PropagatingFontFieldEditor

Direct Known Subclasses:
  WorkbenchChainedTextFontFieldEditor

Deprecated. since 3.0 not longer in use, no longer supported

    public class PropagatingFontFieldEditor

extends FontFieldEditor

This font field editor implements chaining between a source preference store and a target preference store. Any time the source preference store changes, the change is propagated to the target store. Propagation means that the actual value stored in the source store is set as default value in the target store. If the target store does not contain a value other than the default value, the new default value is immediately effective.

Since:
  2.0
See Also:
  `FontFieldEditor`

Field Summary

Fields inherited from class org.eclipse.jface.preference.FieldEditor
`HORIZONTAL_GAP, IS_VALID, VALUE`

Constructor Summary
`PropagatingFontFieldEditor(String name, String labelText, Composite parent, String defaultFontLabel)` Deprecated. Creates a new font field editor with the given parameters.

Method Summary
`protected void` `doLoad()` Deprecated. Initializes this field editor with the preference value from the preference store.
`protected void` `doLoadDefault()` Deprecated. Initializes this field editor with the default preference value from the preference store.
`static void` `startPropagate(IPreferenceStore source, String sourceKey, IPreferenceStore target, String targetKey)` Deprecated. Starts the propagation of the font preference stored in the source preference store under the source key to the target preference store using the target preference key.

Methods inherited from class org.eclipse.jface.preference.FontFieldEditor
`adjustForNumColumns, applyFont, doFillIntoGrid, doStore, getChangeControl, getNumberOfControls, getPreferredPreviewHeight, getPreviewControl, getValueControl, setChangeButtonText, setEnabled, setToDefault`

Methods inherited from class org.eclipse.jface.preference.FieldEditor

`checkParent, clearErrorMessage, clearMessage, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, createControl, dispose, fillIntoGrid, fireStateChanged, fireValueChanged, getFieldEditorFontName, getLabelControl, getLabelControl, getLabelText, getPage, getPreferenceName, getPreferencePage, getPreferenceStore, init, isValid, load, loadDefault, presentsDefaultValue, refreshValidState, setButtonLayoutData, setFocus, setLabelText, setPage, setPreferenceName, setPreferencePage, setPreferenceStore, setPresentsDefaultValue, setPropertyChangeListener, showErrorMessage, showMessage, store`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropagatingFontFieldEditor

    public PropagatingFontFieldEditor(String name,
                                      String labelText,
                                      Composite parent,
                                      String defaultFontLabel)

  Deprecated.
  Creates a new font field editor with the given parameters.

  Parameters:
    `name` - the editor's name
    `labelText` - the text shown as editor description
    `parent` - the editor's parent widget
    `defaultFontLabel` - the label shown in the editor value field when the default value should be taken

Method Detail

### doLoad

    protected void doLoad()

  Deprecated.
  Description copied from class: `FieldEditor`
  Initializes this field editor with the preference value from the preference store.

  Subclasses must implement this method to properly initialize the field editor.

  Overrides:
    `doLoad` in class `FontFieldEditor`

### doLoadDefault

    protected void doLoadDefault()

  Deprecated.
  Description copied from class: `FieldEditor`
  Initializes this field editor with the default preference value from the preference store.

  Subclasses must implement this method to properly initialize the field editor.

  Overrides:
    `doLoadDefault` in class `FontFieldEditor`

### startPropagate

    public static void startPropagate(IPreferenceStore source,
                                      String sourceKey,
                                      IPreferenceStore target,
                                      String targetKey)

  Deprecated.
  Starts the propagation of the font preference stored in the source preference store under the source key to the target preference store using the target preference key.

  Parameters:
    `source` - the source preference store
    `sourceKey` - the key to be used in the source preference store
    `target` - the target preference store
    `targetKey` - the key to be used in the target preference store

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.